# 2.4.2.5 Searching

ZixHashIter zix_hash_find(const ZixHash *hash, const ZixHashKey *key)

  Find the position of a record with a given key.

  Parameters:

    - hash – The hash table to search.

    - key – The key of the desired record.

  Returns:

    An iterator to the matching record, or the end iterator if no such record exists.

ZixHashRecord *zix_hash_find_record(const ZixHash *hash, const ZixHashKey *key)

  Find a record with a given key.

  This is essentially the same as `zix_hash_find()`, but returns a pointer to the record for convenience.

  Parameters:

    - hash – The hash table to search.

    - key – The key of the desired record.

  Returns:

    A pointer to the matching record, of null if no such record exists.